Skip to main content
GET
/
workflows
const listResponse = await fetch(
  `https://api.joinoverlap.com/workflows?companyId=${process.env.OVERLAP_COMPANY_ID}`,
  {
    headers: {
      "Authorization": `Bearer ${process.env.OVERLAP_API_KEY}`
    }
  }
);

const workflows = await listResponse.json();

List Workflows

GET https://api.joinoverlap.com/workflows?companyId={companyId}
Returns workflow summaries for a company. This list intentionally includes only id, name, and description.

Authentication

Authorization: Bearer YOUR_API_KEY

Query Parameters

ParameterRequiredDescription
companyIdYesYour Overlap company or organization identifier.
The same lookup is also available at GET /companies/{companyId}/workflows.

Response

{
  "workflows": [
    {
      "id": "workflow-id",
      "name": "Webinar Clips",
      "description": "Finds and formats highlights from webinar recordings."
    }
  ]
}

Get Workflow

GET https://api.joinoverlap.com/workflow?companyId={companyId}&workflowId={workflowId}
Returns the saved workflow document, including its nodes and configuration.

Query Parameters

ParameterRequiredDescription
companyIdYesYour Overlap company or organization identifier.
workflowIdYesThe saved workflow id.
The same lookup is also available at GET /companies/{companyId}/workflows/{workflowId}.

Response

{
  "workflow": {
    "id": "workflow-id",
    "name": "Webinar Clips",
    "description": "Finds and formats highlights from webinar recordings.",
    "nodes": [],
    "edges": []
  }
}
const listResponse = await fetch(
  `https://api.joinoverlap.com/workflows?companyId=${process.env.OVERLAP_COMPANY_ID}`,
  {
    headers: {
      "Authorization": `Bearer ${process.env.OVERLAP_API_KEY}`
    }
  }
);

const workflows = await listResponse.json();